Subject: PMP> RE: Print MIB 09

From: "Bergman, Ron" <[email-masked]>
Date: Wed, 14 Nov 2001 17:31:58 -0800

Bert, David and Juergen,

Thank you very much for your advice.  The WG has reviewed the discussion and
agrees that the syntax of prtAlertIndex should not change.  We will add a
note to the description clause for printerV2Alert which explains that this
object is present only for compatibility with RFC 1759.  I believe that all
issues are now resolved and I estimate we will have a revised MIB by early
next week.

	Ron Bergman
	Hitachi Koki Imaging Solutions

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]]
Sent: Wednesday, November 14, 2001 9:22 AM
To: [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: Re: Print MIB 09

>>>>> Wijnen, Bert (Bert) writes:

Bert> It was not clear to me that people had implemented the object
Bert> read-only.  Are you telling me that you can do a GET
Bert> prtAlertIndex.1 and that it will return the value 1??

In fact, this would be something like prtAlertIndex.1.1 since the
first index in the table is the hrDeviceIndex.

And it is kind of interesting that the notification printerV2Alert
contains the prtAlertIndex object but not the hrDeviceIndex object -
so you still have to unpack the instance identifier of one of the
varbinds to get access to the device index...

Anyway, I just did a getnext on prtAlertIndex on one of our HP
printers and I got back a value of prtAlertSeverityLevel.1.4, which is
how it should be. A get on prtAlertIndex.1.4 gives me a noSuchName
error. So there seems to be at least one printer which does not
implement prtAlertIndex read-only (assuming there is no strange
access control in place ;-).

/js